Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.naming
Class ServiceUnavailableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.naming.NamingException
                  javax.naming.ServiceUnavailableException

All Implemented Interfaces:
  Serializable

    public class ServiceUnavailableException

extends NamingException

This exception is thrown when attempting to communicate with a directory or naming service and that service is not available. It might be unavailable for different reasons. For example, the server might be too busy to service the request, or the server might not be registered to service any requests, etc.

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.naming.NamingException
`remainingName, resolvedName, resolvedObj, rootException`

Constructor Summary
`ServiceUnavailableException()` Constructs a new instance of ServiceUnavailableException.
`ServiceUnavailableException(String explanation)` Constructs a new instance of ServiceUnavailableException using an explanation.

Method Summary

Methods inherited from class javax.naming.NamingException
`appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceUnavailableException

    public ServiceUnavailableException(String explanation)

  Constructs a new instance of ServiceUnavailableException using an explanation. All other fields default to null.

  Parameters:
    `explanation` - Possibly null additional detail about this exception.
  See Also:
    `Throwable.getMessage()`

### ServiceUnavailableException

    public ServiceUnavailableException()

  Constructs a new instance of ServiceUnavailableException. All fields default to null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.